## List **get** `/invoices` Lists all invoices. ### Returns - `data: array of Invoice` List of invoices. - `id: string` Unique invoice ID. - `created: string` Timestamp when the invoice was created. Uses ISO 8601 format. - `status: "active"` Status of the invoice. Deprecated. - `"active"` - `tags: array of object { key, value }` Tags for the invoice. - `key: string` Tag key. - `value: string` Tag value. - `version: number` Current version of the invoice. - `workspace_id: string` Workspace the invoice belongs to. - `line_items: optional array of object { id, amount, currency_code, 6 more }` Line items for the invoice. - `id: string` FRAGMENT generated unique ID. - `amount: string` Total amount as a string in the smallest currency unit, such as cents for USD. Deprecated, use price.amount instead. - `currency_code: "ADA" or "BTC" or "DAI" or 176 more` ISO 4217 or crypto currency code. - `"ADA"` - `"BTC"` - `"DAI"` - `"ETH"` - `"SOL"` - `"USDC"` - `"USDT"` - `"USDG"` - `"EURC"` - `"CADC"` - `"CADT"` - `"XLM"` - `"UNI"` - `"BCH"` - `"LTC"` - `"AAVE"` - `"LINK"` - `"MATIC"` - `"PTS"` - `"AED"` - `"AFN"` - `"ALL"` - `"AMD"` - `"ANG"` - `"AOA"` - `"ARS"` - `"AUD"` - `"AWG"` - `"AZN"` - `"BAM"` - `"BBD"` - `"BDT"` - `"BGN"` - `"BHD"` - `"BIF"` - `"BMD"` - `"BND"` - `"BOB"` - `"BRL"` - `"BSD"` - `"BTN"` - `"BWP"` - `"BYR"` - `"BZD"` - `"CAD"` - `"CDF"` - `"CHF"` - `"CLP"` - `"CNY"` - `"COP"` - `"CRC"` - `"CUC"` - `"CUP"` - `"CVE"` - `"CZK"` - `"DJF"` - `"DKK"` - `"DOP"` - `"DZD"` - `"EGP"` - `"ERN"` - `"ETB"` - `"EUR"` - `"FJD"` - `"FKP"` - `"GBP"` - `"GEL"` - `"GGP"` - `"GHS"` - `"GIP"` - `"GMD"` - `"GNF"` - `"GTQ"` - `"GYD"` - `"HKD"` - `"HNL"` - `"HRK"` - `"HTG"` - `"HUF"` - `"IDR"` - `"ILS"` - `"IMP"` - `"INR"` - `"IQD"` - `"IRR"` - `"ISK"` - `"JMD"` - `"JOD"` - `"JPY"` - `"KES"` - `"KGS"` - `"KHR"` - `"KMF"` - `"KPW"` - `"KRW"` - `"KWD"` - `"KYD"` - `"KZT"` - `"LAK"` - `"LBP"` - `"LKR"` - `"LRD"` - `"LSL"` - `"LYD"` - `"MAD"` - `"MDL"` - `"MGA"` - `"MKD"` - `"MMK"` - `"MNT"` - `"MOP"` - `"MUR"` - `"MVR"` - `"MWK"` - `"MXN"` - `"MYR"` - `"MZN"` - `"NAD"` - `"NGN"` - `"NIO"` - `"NOK"` - `"NPR"` - `"NZD"` - `"OMR"` - `"PAB"` - `"PEN"` - `"PGK"` - `"PHP"` - `"PKR"` - `"PLN"` - `"PYG"` - `"QAR"` - `"RON"` - `"RSD"` - `"RUB"` - `"RWF"` - `"SAR"` - `"SBD"` - `"SCR"` - `"SDG"` - `"SEK"` - `"SGD"` - `"SHP"` - `"SLL"` - `"SOS"` - `"SPL"` - `"SRD"` - `"SVC"` - `"SYP"` - `"STN"` - `"SZL"` - `"THB"` - `"TJS"` - `"TMT"` - `"TND"` - `"TOP"` - `"TRY"` - `"TTD"` - `"TVD"` - `"TWD"` - `"TZS"` - `"UAH"` - `"UGX"` - `"USD"` - `"UYU"` - `"UZS"` - `"VEF"` - `"VND"` - `"VUV"` - `"WST"` - `"XAF"` - `"XCD"` - `"XOF"` - `"XPF"` - `"YER"` - `"ZAR"` - `"ZMW"` - `"LOGICAL"` - `"CUSTOM"` - `description: string` Description of the line item. - `price: object { amount, quantity, unit_price }` Price breakdown. - `amount: string` Total amount as a string in the smallest currency unit, such as cents for USD. - `quantity: number` Number of units. - `unit_price: string` Unit price as a string in the smallest currency unit, such as cents for USD. - `product_id: string` Unique identifier for the product. - `tags: array of object { key, value }` Tags for the line item. - `key: string` Tag key. - `value: string` Tag value. - `type: "payin" or "payout"` Type of the line item. - `"payin"` - `"payout"` - `user_id: string` User-provided unique external ID. - `modified: optional string` Timestamp when the invoice was last modified. Uses ISO 8601 format. ### Example ```http curl https://api.us-west-2.fragment.dev/billing/invoices ``` #### Response ```json { "data": [ { "id": "inv_1234567890", "created": "2024-01-13T00:00:00Z", "status": "active", "tags": [ { "key": "department", "value": "engineering" } ], "version": 1, "workspace_id": "ws_1234567890", "line_items": [ { "id": "item_1234567890", "amount": "1000", "currency_code": "USD", "description": "Professional services for January 2026", "price": { "amount": "1000", "quantity": 1, "unit_price": "1000" }, "product_id": "prod_1234567890", "tags": [ { "key": "department", "value": "engineering" } ], "type": "payout", "user_id": "user_ext_456" } ], "modified": "2024-01-13T00:00:00Z" } ] } ```